Doomsday Engine - Bug #1780

Refocusing window creates duplicate MP dialog (mouse click handled by game menu)
2014-04-24 10:46 - vermil
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Defect

Target version:

Description

If one switches to another window while Dday's MP gui is open, a duplicate of the MP gui is created on top of the old one, when one
refocuses on the Dday window.

It is repeatable; every time one refocuses another duplicate is created, so one can end up having to close several duplicates.

History

#1 - 2014-04-24 10:47 - vermil

Also, I'm not sure the info about the estimated ping is correct. It always seems to estimate 0 even when it's clearly not 0 in the actual game.

#2 - 2014-04-24 10:49 - skyjake

- Subject changed from Refocusing window creates dupilicate mp dialog to Refocusing window creates duplicate MP dialog
- Category set to Defect

- Status changed from New to In Progress

- Assignee set to skyjake

- Target version set to 1.14.1
#3 - 2014-04-24 12:05 - skyjake
vermil wrote:

Also, I'm not sure the info about the estimated ping is correct. It always seems to estimate 0 even when it's clearly not 0 in the actual game.

Yeah, ping estimation is not working correctly. We'll remove the whole "ping: xxx" line from the server info for 1.14.1. Bug added as #1781.
#4 - 2014-04-25 19:18 - skyjake
vermil wrote:

when one refocuses on the Dday window

To clarify:
e This is Windows 7/8?

¢ Fullscreen, maximized or normal window?
¢ You are doing nothing except Alt-Tabbing between windows, or how are you refocusing the Doomsday window?

#5 - 2014-04-25 22:56 - vermil
Apologies for the lack of detail. It only seems to occur when the MP GUI is opened from the game menu (i.e not the taskbar).
When one refocuses the Dday window by clicking the mouse on it, Doom's menu select sound is heard and a duplicate MP GUI is opened.

#6 - 2014-04-25 22:59 - vermil

Curiously though, it doesn't appear to occur anymore (I had upgraded from a 1.14 unstable to 1.14 and since this report was made to a 1.15 unstable.

#7 - 2014-04-26 11:30 - skyjake
- Status changed from In Progress to Closed

- Target version deleted (1.14.1)
https://tracker.dengine.net/issues/1781

Marking closed for now, let's see if it resurfaces after 1.14.1.

#8 - 2014-04-26 11:31 - skyjake

- Subject changed from Refocusing window creates duplicate MP dialog to Refocusing window creates duplicate MP dialog (mouse click handled by
game menu)
